<nb-card>
  <nb-card-header class="d-flex align-items-center justify-content-between">
    <div class="d-flex align-items-center">
      <nb-icon icon="bookmark-outline" class="mr-3"></nb-icon>
      <span>Manage categories</span>
    </div>
    <button nbButton status="success" (click)="add()">Add</button>
  </nb-card-header>
  <nb-card-body [nbSpinner]="isLoading" nbSpinnerMessage="Loading...">
    <nb-list>
      <nb-list-item *ngFor="let item of items | paginate: { itemsPerPage: 20, currentPage: currentParams.page, totalItems: totalItems }" class="d-flex align-items-center">
        <div class="d-flex justify-content-between align-items-center w-100">
          <div class="info d-flex align-items-center">
            <div class="mr-3">
              <h6 class="m-0">{{ item.title }}</h6>
            </div>
            <span class="overflow-hidden">{{ item.description }}</span>
          </div>
          <div class="buttons d-flex justify-content-between">
            <button nbButton status="info" class="mx-3" (click)="edit(item)"><i class="fa fa-edit"></i></button>
            <button nbButton status="warning" class="mx-3" (click)="remove(item.id)"><i class="fa fa-trash"></i></button>
          </div>
        </div>
      </nb-list-item>
    </nb-list>

    <ng-container *ngIf="!isLoading && items.length === 0">
      <nb-alert outline="info" class="mt-5">Oops! There are categories.</nb-alert>
    </ng-container>
  </nb-card-body>
  <nb-card-footer *ngIf="!isLoading && items.length">
    <pagination-controls (pageChange)="onPageChange($event)"></pagination-controls>
  </nb-card-footer>
</nb-card>
